Canto-daemon(1)

NAME
Canto-daemon - An extensible RSS aggregation daemon.

COMMAND LINE USAGE
canto-daemon (options)

OPTIONS

-V/--version
    Print version info and exit.

-h/--help
    Print usage help

-v  Enable verbose logging (debug)

-D/--dir [directory]
    Change base directory for canto-daemon (default: $XDG_CONFIG_HOME/canto)

-n/--nofetch
    Do not fetch new content while running (debug).

--noplugins
    Disable all plugins

--enableplugins 'plugin1 plugin2...'
    Enable these plugins (overrides --noplugins)

--disableplugins 'plugin1 plugin2...'
    Disable these plugins

-a/--address [IP]
    Listen on address in addition to local Unix socket. Use "" for all interfaces. Defaults to loopback (127.0.0.1)

-p/--port [port]
    Use port when listening with -a

CONFIGURATION
This daemon manages its own configuration, and should be manipulated through canto-remote or a client, like canto-curses.

PLUGINS
Plugins are packaged in <prefix>/canto/plugins (i.e. /usr/lib/canto/plugins) and can be enabled by copying them into your configuration directory (i.e. $XDG_CONFIG_HOME/canto/plugins). Many of them have configuration in them, so you may want to open the files to make changes. Here are a few example plugins included with the canto-daemon source.

reddit.py
    Add content to reddit items. Includes a sort reddit_score_sort that will automatically order items by upvotes.

sync-rsync.py
    An rsync based sync plugin. See header for configuration, can be used to sync with a remote server via SSH, or with another local filesystem (for NFS/sshfs/Dropbox/gdrive etc.)

sync-inoreader.py
    Synchronize (most) content with inoreader.com, a service with support for RSS on the web as well as various mobile devices.

FILES

$XDG_CONFIG_HOME/canto/daemon-log
    Canto-daemon log file.

$XDG_CONFIG_HOME/canto/plugins/
    Canto-daemon plugins directory

/usr/lib/canto/plugins
    Default packaged plugin directory.

HOMEPAGE
http://codezen.org/canto-ng

AUTHOR
Jack Miller <jack@codezen.org>

SEE ALSO
canto-remote(1)